<div class="col-12">
  <h2>{{pageTitle}}</h2>
  <hr>
  <div>
    <div class="alert alert-warning text-center" *ngIf="status=='success'">Tema borrado con éxito</div>
    <table class="table">
      <thead class="thead-dark text-center">
        <th>Título</th>
        <th>Fecha</th>
        <th>Acciones</th>
      </thead>
      <tbody>
        <tr *ngFor="let topic of topics">
          <td>{{topic.title}}</td>
          <td>{{topic.date |  amLocale:'es' | amDateFormat:'LL'}}</td>
          <td class="text-center">
            <a [routerLink]="['/panel/editar/',topic._id]" class="btn btn-warning">Editar</a>

            <button type="button" class="btn btn-danger ml-3" data-toggle="modal" [attr.data-target]="'#Modal'+topic._id">
              Borrar
            </button>
          </td>
          <!--Modal-->
          <div class="modal fade" id="{{'Modal'+topic._id}}" tabindex="-1" role="dialog"
            aria-hidden="true">
            <div class="modal-dialog" role="document">
              <div class="modal-content">
                <div class="modal-header">
                  <h5 class="modal-title">{{topic.title}}</h5>
                  <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                  </button>
                </div>
                <div class="modal-body">
                  ¿Estás seguro que quieres borrar el tema "{{topic.title}}" ?
                </div>
                <div class="modal-footer">
                  <button type="button" class="btn btn-primary" data-dismiss="modal">Cancelar</button>
                  <button type="button" class="btn btn-danger" data-dismiss="modal" (click)="delete(topic._id)">Borrar</button>
                </div>
              </div>
            </div>
          </div>
          <!---->
        </tr>
      </tbody>
    </table>
  </div>

</div>